<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use GuzzleHttp\Psr7\Response;

// phpcs:ignore
class PAGE_ParametresController extends AbsApiController
{

    public function INITAction() :Response
    {
        $trad = $this->getTranslationService();
        
        $return['Trads']['MLS_Titre_Params'  ] = $trad->t('Paramètres du compte');
        $return['Trads']['MLS_Menu_Env'      ] = $trad->t('Environnement');
        $return['Trads']['MLS_Menu_Session'  ] = $trad->t('Session');
        $return['Trads']['MLS_Menu_Profil'   ] = $trad->t('Profil');
        $return['Trads']['MLS_Menu_Notif'    ] = $trad->t('Notifications');
        $return['Trads']['MLS_Menu_MDP'      ] = $trad->t('Mot de passe');
        $return['Trads']['MLS_Menu_Infos'    ] = $trad->t('Informations');
        $return['Trads']['MLS_Titre_Env'     ] = $trad->t('Modifier votre environnement');
        $return['Trads']['MLS_Titre_Session' ] = $trad->t('Modifier les informations pour votre session en cours');
        $return['Trads']['MLS_Titre_Profil'  ] = $trad->t('Modifier les informations de votre profil');
        $return['Trads']['MLS_Menu_Notif'    ] = $trad->t('Notifications');
        $return['Trads']['MLS_Menu_Infos'    ] = $trad->t('Informations');


        $return['Trads']['MLS_Btn_Tester' ] = $trad->t('Tester');
        $return['Trads']['MLS_Btn_Valider' ] = $trad->t('Valider');
        $return['Trads']['MLS_MDP_Ancien' ] = $trad->t('Votre ancien mot de passe est incorrect');
        $return['Trads']['MLS_MDP_Incorrect' ] = $trad->t('Vous devez saisir un mot de passe');
        $return['Trads']['MLS_MDP_Confirmation' ] = $trad->t('Votre saisie du nouveau mot de passe n\'est pas identique');
        $return['Trads']['MLS_NomCompte' ] = $trad->t('Nom du compte');

        $return['Trads']['MLS_Identifiant' ] = $trad->t('Identifiant');
        $return['Trads']['MLS_MotdePasse' ] = $trad->t('Mot de passe');
        $return['Trads']['MLS_Serveur' ] = $trad->t('Nom du serveur');
        $return['Trads']['MLS_NumEnvironnement' ] = $trad->t('N° de l\'environnement');
        $return['Trads']['MLS_ActiveHTTPS' ] = $trad->t('Activer HTTPS');
        $return['Trads']['MLS_Connexion_Reussie' ] = $trad->t('Connexion au serveur réussie.');
        $return['Trads']['MLS_Connexion_Err' ] = $trad->t('Connexion au serveur impossible. Veuillez vérifier les paramètres de l\'environnement.');
        $return['Trads']['MLS_Demande_Enregistrement' ] = $trad->t('Voulez-vous enregistrer les modifications ?');
        
        $return['Trads']['MLS_Txt_Societe'     ] = $trad->t('Société');
        $return['Trads']['MLS_Txt_SI'          ] = $trad->t('Section d\'imputation');
        $return['Trads']['MLS_Txt_CDC'         ] = $trad->t('Code complémentaire');
        $return['Trads']['MLS_Txt_SCA'         ] = $trad->t('Sous-compte d\'analyse');
        $return['Trads']['MLS_Txt_CodeGestion' ] = $trad->t('Code gestion');
        $return['Trads']['MLS_Txt_CTR_E'       ] = $trad->t('Centre émetteur');
        
        $return['Trads']['MLS_Txt_CTR_L'        ] = $trad->t('Centre de livraison');
        $return['Trads']['MLS_Txt_ParamAff'     ] = $trad->t('Vos paramètres d’affichage et de présentation');
        $return['Trads']['MLS_Txt_Presentation' ] = $trad->t('Présentation');
        $return['Trads']['MLS_Txt_Lng'          ] = $trad->t('Langue');
        $return['Trads']['MLS_Txt_PageDef'      ] = $trad->t('Page par défaut');

        $return['Trads']['MLS_Txt_Nom'      ] = $trad->t('Nom et Prénom');
        $return['Trads']['MLS_Txt_Fonction' ] = $trad->t('Fonction');
        $return['Trads']['MLS_Txt_UO'       ] = $trad->t('Unité organisationnelle');
        $return['Trads']['MLS_Txt_Tel'      ] = $trad->t('Téléphone');
        $return['Trads']['MLS_Txt_Mail'     ] = $trad->t('Mail');
        $return['Trads']['MLS_Txt_MDP_1'    ] = $trad->t('Mot de passe actuel');
        $return['Trads']['MLS_Txt_MDP_2'    ] = $trad->t('Nouveau mot de passe');
        $return['Trads']['MLS_Txt_MDP_3'    ] = $trad->t('Confirmation mot de passe');
        
        $return['Trads']['MLS_MDP_Echec'    ] = $trad->t('La modification du mot de passe a échoué.');
        $return['Trads']['MLS_CompteOblig'    ] = $trad->t('Nom de compte obligatoire');
        $return['Trads']['MLS_IdentifiantOblig'    ] = $trad->t('Identifiant obligatoire');
        $return['Trads']['MLS_ServeurOblig'    ] = $trad->t('Serveur obligatoire');
        $return['Trads']['MLS_Panier_Modele'    ] = $trad->t('Paniers modèles');

        $return['Trads']['MLS_SupprPanier'] = $trad->t('Votre panier en cours sera supprimé. Confirmez-vous la validation ?');

        return $this->createApiResponse($return);
    }
}
